%define		upstream_name	 Authen-Smb
%define		upstream_version 0.91

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Perl extension to authenticate against an SMB server
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Authen-Smb-0.91-64bit-fixes.patch

BuildRequires:	perl-devel >= 5.6


%description
Authen::Smb is a Perl module to authenticate against an SMB server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .64bit-fixes

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/*
%{perl_vendorarch}/auto/Authen/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.910.0-8.mga3
+ Revision: 363255
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.910.0-7.mga3
+ Revision: 250273
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.910.0-6.mga2
+ Revision: 103456
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.910.0-5.mga1
+ Revision: 32725
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.910.0-4.mga1
+ Revision: 29802
- mageia rebuild
- imported package perl-Authen-Smb

